-------- English localisation defaults --------

PF_PUZZLE_FIGHTER_TEXT		= "Puzzle Fighter"
PF_VERSION_TEXT			= "v1.0.0"
PF_PUZZLE_FIGHTER_VERSION_TEXT	= PF_PUZZLE_FIGHTER_TEXT.." "..PF_VERSION_TEXT
PF_NEXT_PIECE_TEXT		= "Next Piece"
PF_STATUS_TEXT			= "Status: "
PF_READY_TEXT			= "Ready"
PF_OPPONENT_TEXT		= "Opponent: "
PF_NO_OPPONENT_TEXT		= "-"
PF_READY2_TEXT			= "Ready!"
PF_ROTATE_TEXT			= "Rotate"
PF_CHALLENGE_TEXT		= "Challenge..."
PF_SELECT_CHAR_TEXT		= "Select Character"
PF_COUNTER_GEM_PATTERN_TEXT	= "Counter Gem Pattern"
PF_MOVE_LEFT_TEXT		= "Move Left"
PF_MOVE_RIGHT_TEXT		= "Move Right"
PF_MOVE_DOWN_TEXT		= "Move Down"
PF_DROP_DOWN_TEXT		= "Drop Down"
PF_PAUSE_TEXT			= "Pause"
PF_UNPAUSE_TEXT			= "Unpause"
PF_GAME_OVER_WIN_TEXT 		= "Game Over - You Win!"
PF_GAME_OVER_LOST_TEXT 		= "Game Over - You Lost!"
PF_YOU_WIN_TEXT			= "You Win!"
PF_YOU_LOSE_TEXT		= "You Lose!"
PF_WINNER_TEXT			= "Winner!"
PF_LOSER_TEXT			= "Loser!"
PF_CHAIN_TEXT			= "-Chain!"
PF_CHEAT_TEXT			= "Puzzle Fighter - Trying to cheat?!?"
PF_PRACTICE_GAME_TEXT		= "Practice game in progress."
PF_MATCH_IN_PROGRESS_TEXT	= "Match in progress with %s."
PF_WAITING_FOR_OPP_TEXT		= "Waiting for %s to be ready..."
PF_READY_AND_WAITING_TEXT	= "%s is ready and waiting..."
PF_CHALLENGING_TEXT		= "Challenging %s..."
PF_CHALLENGE_ACCEPTED_TEXT	= "Challenge Accepted by %s."
PF_CHALLENGE_DECLINED_TEXT	= "Challenge Declined by %s."
PF_ALREADY_IN_GAME_TEXT		= "%s is already in a game."
PF_TECH_BONUS_TEXT		= "Tech Bonus!"
PF_CAUTION_TEXT			= "CAUTION!"
PF_WARNING_TEXT			= "WARNING!"
PF_DANGER_TEXT			= "DANGER!"

PF_CHALLENGE_PROMPT		= "Enter the name of a friend to challenge:"
PF_CHALLENGE_PROMPT2		= "%s has challenged you to a game of Puzzle Fighter. Do you accept?"
PF_CHALLENGE_ERROR		= "You can't challenge someone else until your game is over."
PF_CHALLENGE_ERROR2		= "%s is already playing a game of Puzzle Fighter."
PF_CHALLENGE_ERROR3		= "You cannot challenge yourself."
PF_CHALLENGE_DECLINE		= "%s declined your challenge."
PF_CHALLENGE2_TEXT		= "Challenge!"

PF_OPTION_TEXT			= "Options..."
PF_OPTIONS_TEXT			= "Puzzle Fighter Options"
PF_LOCK_MAIN_WINDOW_TEXT	= "Lock main window from being moved"
PF_CHANGE_DOWN_BUTTON_TEXT	= "Change down button behavior to DROP"
PF_SOUND_EFFECTS_TEXT		= "Sound effects"
PF_SCALING_TEXT			= "Scaling"
PF_TRANSPARENCY_TEXT		= "Transparency"

PF_INCOMBATLOCKDOWN	=  "Notice: The Puzzle Fighter will not open while you are in combat."
PF_HELP_TEXT	= "Help"
PF_HELP1_TEXT	= 
[[|cFFFFFFFFPuzzle Fighter|r

Puzzle Fighter is a 2-player game based on Capcom's Super Puzzle Fighter II Turbo. Please note that this addon is not a 100% replica of the actual arcade game and there are minor differences. For example, the playing field is slightly taller, the attack formula is slightly larger, there is no scoring and the game may exhibit strange behavior dependent on Internet latency (although highly unlikely).

|cFFFFFFFFBasic Gameplay|r

Pairs of gems fall down from the top of a 14x6 playing field and players arrange their gems to form bigger gems called power gems and shatter them with crash gems to attack the opponent. The game continues until one player's field reaches the top of its 4th column (which is where all new gems first appear) and that player loses.

|cFFFFFFFFAttacks|r

When an attack of size 20 is made, 20 counter gems are scheduled to drop in the enemy playing field after his next move. If on that turn, he makes an attack of size 24, because he has an incoming attack, his attack is instead used to negate the incoming attack at half the attack rate. This means he will block 12 counter gems and only receive 8 in his playing field. Any excess attack not used to counter an incoming attack will attack the opponent.]]

PF_HELP2_TEXT	= 
[[|cFFFFFFFFGem Types:|r

|cFFFFFFFFNormal Gems|r - |TInterface/Icons/INV_Misc_Gem_Emerald_01:16|t|TInterface/Icons/INV_Misc_Gem_Ruby_01:16|t|TInterface/Icons/INV_Misc_Gem_Sapphire_02:16|t|TInterface/Icons/INV_Misc_Gem_Topaz_01:16|t
Gems of 4 colors fall down in pairs. Arrange these gems so that gems of the same color are next to each other to form bigger power gems.

|cFFFFFFFFCrash Gems|r - |TInterface/Icons/INV_Potion_91:16|t|TInterface/Icons/INV_Potion_49:16|t|TInterface/Icons/INV_Potion_70:16|t|TInterface/Icons/INV_Potion_56:16|t
These are denoted by potions in the game. When a crash gem lands next to a normal gem or power gem of the same color, they shatter and disappear, causing an attack to the enemy player. Shattering power gems gives a larger attack than normal gems.

|cFFFFFFFFCounter Gems|r
When an attack is made by one player on the other player, counter gems will fall in the enemy playing field on his next turn. These gems countdown from 5, decreasing by 1 per turn. When the counter reaches 0, they turn into normal gems. Counter gems do not interact with crash gems, but they will shatter if they are next to a non-counter gem that is shattering.

|cFFFFFFFFRainbow Gem|r - |TInterface/Icons/INV_Misc_Gem_Diamond_01:16|t
Every 25 turns, a rainbow gem (denoted by a diamond) will spawn. When a rainbow gem lands on top of a gem, all gems of that color (normal, power, counter, crash) in the playing field shatter.]]

PF_HELP3_TEXT	= 
[[|cFFFFFFFFAdditional Notes|r

|cFFFFFFFFSingle Player Game|r
You may play a "single player game" by clicking the Start button. This is a rather meaningless game since there is no opponent nor counter gems, but does allow you to practice setting up chain combos.

|cFFFFFFFF2-Player Game|r
You may challenge a player also with Puzzle Fighter installed by clicking the "Challenge..." button. The game commences once the opponent accepts the challenge.

You may play against yourself only by holding down both the Ctrl and Shift keys while clicking the Start button. This is mostly for debugging purposes and also allows you to see the effects of Internet latency across the wow servers.

|cFFFFFFFFResetting the Game|r
If at any time something in the game fails (such as your opponent disconnecting or not responding to your challenge), you may reset the game by clicking the Reset button.]]

PF_HELP4_TEXT	= 
[[|cFFFFFFFFPausing the Game|r
Either player may pause/unpause the game by clicking the Pause button. The game will also automatically pause and close itself whenever either player enters combat (trying to play in raids huh?).

|cFFFFFFFFKeybindings|r
You may set Rotate/Left/Right/Down/Drop keybindings in the ESC->Keybinds so that you do not have to click the buttons with the mouse.

Additionally, when the Puzzle Fighter window is open, the up/down/left/right arrow keys are automatically rebounded to rotate/down/left/right functions of the game. (This is not configurable at the moment)]]

PF_PREV_TEXT			= "< Prev"
PF_NEXT_TEXT			= "Next >"


-------- French localization --------
if GetLocale() == "frFR" then

end

-------- German localization --------
if GetLocale() == "deDE" then

end

-------- Korean localization --------
if GetLocale() == "koKR" then

end

-------- Chinese localization --------
if GetLocale() == "zhTW" then

end

